Bug 193582 - [MAINTAINER] net-mgmt/zabbix22-server: Update to 2.2.6
Summary: [MAINTAINER] net-mgmt/zabbix22-server: Update to 2.2.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: John Marino
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2014-09-12 11:55 UTC by pg
Modified: 2014-11-04 22:09 UTC (History)
5 users (show)

See Also:


Attachments
patch to update 2.2.6 (1.22 KB, patch)
2014-09-12 11:55 UTC, pg
no flags Details | Diff
with fix "COMMENT exceeds 70 characters limit" (1.42 KB, patch)
2014-10-02 07:39 UTC, pg
no flags Details | Diff
update port to 2.2.7 (3.53 KB, patch)
2014-10-24 13:33 UTC, timp87
no flags Details | Diff
zabbix22-server poudriere log (226.57 KB, text/plain)
2014-10-24 13:37 UTC, timp87
no flags Details
zabbix22-agent poudriere log (95.71 KB, text/plain)
2014-10-24 13:39 UTC, timp87
no flags Details
zabbix22-frontend poudriere log (36.46 KB, text/plain)
2014-10-24 13:41 UTC, timp87
no flags Details
patch to 2.2.7 (10.12 KB, patch)
2014-10-31 17:47 UTC, timp87
no flags Details | Diff
zabbix22-server-2.2.7.log poudriere log (222.25 KB, text/plain)
2014-10-31 17:48 UTC, timp87
no flags Details
zabbix22-frontend-2.2.7.log poudriere log (22.75 KB, text/plain)
2014-10-31 17:48 UTC, timp87
no flags Details
zabbix22-agent-2.2.7.log poudriere log (95.28 KB, text/plain)
2014-10-31 17:49 UTC, timp87
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pg 2014-09-12 11:55:36 UTC
Created attachment 147246 [details]
patch to update 2.2.6

zabbix22-server: update to 2.2.6
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-21 05:18:52 UTC
If possible please also include the following QA results to promote quick 
resolution:

 * Attach successful poudriere testport, or redports.org build logs
 * Attach portlint -AC output (after addressing any outstanding issues)
Comment 2 pg 2014-09-23 09:09:23 UTC
# portlint -AC
WARN: Makefile: [0]: possible direct use of command "cp" found. use ${CP} instead.
WARN: Makefile: possible use of absolute pathname "/etc/zabbix".
WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
WARN: Makefile: new ports should not set PORTREVISION.
WARN: Makefile: COMMENT exceeds 70 characters limit.
WARN: Makefile: "LIB_DEPENDS" has to appear earlier.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 7 warnings found.
Comment 3 John Marino freebsd_committer 2014-10-02 06:33:13 UTC
Koobs - this a perfect example of why moving a PR to "open" to ask for testlogs is a terrible idea.  

The submitter did what you wanted, rather promptly, but the PR fell in the cracks anyway, just like I said it would.  But what do I know?

"OPEN" without assignee == wasteland.
I'd recommend stop sending PRs to wasteland so easily
Comment 4 John Marino freebsd_committer 2014-10-02 06:35:37 UTC
and pakhom706, the portlint is squawking about problems.

If somebody askes for portlint output, and portlint shows an issue, you are expected to fix the issue and make a revised submission.

There are 7 warnings there, 5 of which you could probably address.
Comment 5 John Marino freebsd_committer 2014-10-02 06:38:20 UTC
although, these portlint output is suspect.  If it thinks zabbix is a new port, then you are testing it outside the tree or something weird like that, I suspect.
Comment 6 pg 2014-10-02 07:39:14 UTC
Created attachment 147904 [details]
with fix "COMMENT exceeds 70 characters limit"
Comment 7 pg 2014-10-02 07:44:44 UTC
I create new patch with fix "COMMENT exceeds 70 characters limit".


> WARN: Makefile: [0]: possible direct use of command "cp" found. use ${CP} instead.

This line in "@${REINPLACE_CMD}"

> WARN: Makefile: possible use of absolute pathname "/etc/zabbix".

This line in "@${GREP} and REINPLACE_CMD"

> WARN: Makefile: for new port, make $FreeBSD$ tag in comment section empty, to make SVN happy.
> WARN: Makefile: new ports should not set PORTREVISION.

This isn't new port

> WARN: Makefile: COMMENT exceeds 70 characters limit.

Fix

> WARN: Makefile: "LIB_DEPENDS" has to appear earlier.

LIB_DEPENDS depended for port options.
Comment 8 John Marino freebsd_committer 2014-10-02 08:02:12 UTC
(In reply to pakhom706 from comment #7)
> > WARN: Makefile: new ports should not set PORTREVISION.
> 
> This isn't new port
> 


But portlint thinks it is new, which leads me to believe the way you are running portlint is strange.  E.g. You don't have your port in an existing port tree and you are testing it by itself outside a tree.
Comment 9 John Marino freebsd_committer 2014-10-02 08:06:22 UTC
I looked at the patch, it's a basic as it gets.

In reality, koobs didn't really want the portlint, he wanted the poudriere logs for the version upgrade which you didn't provide.
Comment 10 pg 2014-10-02 08:19:19 UTC
ok, I'll be compile poudriere and provide logs. But I don't understand why. Changed only minor version and successfully compile.
Comment 11 John Marino freebsd_committer 2014-10-02 10:05:22 UTC
Because:
The committer that takes the PR may not be familiar with the port.  He/she has no way of knowing if it's currently in good shape (although likely at this point) and he has no way of knowing if the update maintains the good status.

Note -- plenty of simply updates forget to update the pkg-plist.  Without QA checks, the port will build but it will fail poudriere with extra checks (bulk -t or testport)

So just saying, "This is simple update" is really proving nothing.

Poudriere checks more than "successful compile".


If you don't do it, the committer must (he should anyway, but it depends on the reputation of the submitter).  And committers want to know there's a good chance of success before they take the PR.  They don't like untested patches -- untested as in: not tested by poudriere with -t option.
Comment 13 John Marino freebsd_committer 2014-10-07 21:25:06 UTC
You might be unaware, but redports is no longer considered a substitute for poudriere.  It's completely unsuitable for QA checks these days.

I'm not sure it even works correctly with recent changes to ports.


But koobs did offer that as an alternative, so I'll let me take the risk. :)
Comment 14 John Marino freebsd_committer 2014-10-07 21:25:59 UTC
s/me/him/

Weird typo..
Comment 15 timp87 2014-10-24 13:33:21 UTC
Created attachment 148613 [details]
update port to 2.2.7

Hi!

It is an update for our zabbix22-* ports to the latest 2.0.7 version released today.

Poudriere logs is coming.
Comment 16 timp87 2014-10-24 13:37:00 UTC
Created attachment 148614 [details]
zabbix22-server poudriere log
Comment 17 timp87 2014-10-24 13:39:01 UTC
Created attachment 148615 [details]
zabbix22-agent poudriere log
Comment 18 timp87 2014-10-24 13:41:19 UTC
Created attachment 148616 [details]
zabbix22-frontend poudriere log
Comment 19 John Marino freebsd_committer 2014-10-31 16:55:29 UTC
sorry, you need to remove all the @dirrm* lines from the pkg-plist.  You can see this in the poudriere logs too.
Comment 20 timp87 2014-10-31 17:47:41 UTC
Created attachment 148827 [details]
patch to 2.2.7
Comment 21 timp87 2014-10-31 17:48:13 UTC
Created attachment 148828 [details]
zabbix22-server-2.2.7.log poudriere log
Comment 22 timp87 2014-10-31 17:48:41 UTC
Created attachment 148829 [details]
zabbix22-frontend-2.2.7.log poudriere log
Comment 23 timp87 2014-10-31 17:49:06 UTC
Created attachment 148830 [details]
zabbix22-agent-2.2.7.log poudriere log
Comment 24 John Marino freebsd_committer 2014-10-31 17:51:17 UTC
Bravo!  Moving to patch-ready now.
Comment 25 John Marino freebsd_committer 2014-11-04 21:24:04 UTC
i got confused who the maintainer was.
since pakhom didn't object, I assume he's okay with the *tested* patch and I'm proceeding.
Comment 26 commit-hook freebsd_committer 2014-11-04 21:27:17 UTC
A commit references this bug:

Author: marino
Date: Tue Nov  4 21:27:05 UTC 2014
New revision: 372173
URL: https://svnweb.freebsd.org/changeset/ports/372173

Log:
  net-mgmt/zabbix22*: Upgrade version 2.2.5 => 2.2.7

  PR:		193582
  Fix by:		timp87 (gmail)
  Approved by:	maintainer - pakhom706 (gmail)

Changes:
  head/net-mgmt/zabbix22-server/Makefile
  head/net-mgmt/zabbix22-server/distinfo
  head/net-mgmt/zabbix22-server/pkg-plist
  head/net-mgmt/zabbix22-server/pkg-plist.agent
  head/net-mgmt/zabbix22-server/pkg-plist.frontend
Comment 27 pg 2014-11-04 21:28:00 UTC
This patch contains several errors. Please wait, I will correct them.
Comment 28 John Marino freebsd_committer 2014-11-04 21:29:16 UTC
:(
Comment 29 John Marino freebsd_committer 2014-11-04 21:41:03 UTC
I don't see any errors.  What are the concerns?  This PR has been in the final queue for 5 days!
Comment 30 pg 2014-11-04 22:08:37 UTC
I mistake. this is correct path.
I approve. Thanks
Comment 31 John Marino freebsd_committer 2014-11-04 22:09:47 UTC
great, thanks.